package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.overtimerules.*;
import com.engine.kq.service.KQOvertimeRulesService;
import weaver.hrm.User;

import java.util.Map;

/**
 * 加班规则
 */
public class KQOvertimeRulesServiceImpl extends Service implements KQOvertimeRulesService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }

    @Override
    public Map<String, Object> getOvertimeRulesForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetOvertimeRulesFormCmd(params, user));
    }

    @Override
    public Map<String, Object> addOvertimeRules(Map<String, Object> params, User user) {
        return commandExecutor.execute(new AddOvertimeRulesCmd(params, user));
    }

    @Override
    public Map<String, Object> editOvertimeRules(Map<String, Object> params, User user) {
        return commandExecutor.execute(new EditOverTimeRulesCmd(params, user));
    }

    @Override
    public Map<String, Object> deleteOvertimeRules(Map<String, Object> params, User user) {
        return commandExecutor.execute(new DeleteOvertimeRulesCmd(params, user));
    }

    @Override
    public Map<String, Object> saveDefault(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SaveDefaultCmd(params, user));
    }

    @Override
    public Map<String, Object> isRepeatSetting(Map<String, Object> params, User user) {
        return commandExecutor.execute(new IsRepeatSettingCmd(params, user));
    }

    @Override
    public Map<String, Object> getOvertimeUnitForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetOvertimeUnitFormCmd(params, user));
    }

    @Override
    public Map<String, Object> saveOvertimeUnit(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SaveOvertimeUnitCmd(params, user));
    }
}
